- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# lib/poptI.c File Reference

Popt tables for install modes. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | POPT_RELOCATE -1016
#define | POPT_EXCLUDEPATH -1019
#define | POPT_ROLLBACK -1024
## Functions
time_t | get_date (const char *p, void *now)
static void | argerror (const char *desc)
static void | installArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)
## Variables
rpmInstallArguments_s | rpmIArgs
poptOption | rpmInstallPoptTable []

## Detailed Description

Popt tables for install modes.

Definition in file poptI.c.

## Define Documentation

#define POPT_EXCLUDEPATH -1019

Definition at line 20 of file poptI.c.

Referenced by installArgCallback().

#define POPT_RELOCATE -1016

Definition at line 19 of file poptI.c.

Referenced by installArgCallback().

#define POPT_ROLLBACK -1024

Definition at line 21 of file poptI.c.

Referenced by installArgCallback().

## Function Documentation

static void argerror | ( | const char * | desc | ) | `[static]`

Definition at line 23 of file poptI.c.

References _, __progname, and EXIT_FAILURE.

time_t get_date | ( | const char * | p,
|  | void * | now |
| ) |  |  |

Referenced by installArgCallback().

static void installArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data |
| ) |  |  | `[static]`

Definition at line 34 of file poptI.c.

References _, poptOption::arg, argerror(), poptOption::argInfo, get_date(), poptOption::longName, rpmRelocation_s::newPath, rpmInstallArguments_s::numRelocations, rpmRelocation_s::oldPath, POPT_EXCLUDEPATH, POPT_RELOCATE, POPT_ROLLBACK, rpmInstallArguments_s::rbtid, rpmInstallArguments_s::relocations, rpmIArgs, poptOption::shortName, poptOption::val, and xrealloc().